package de.ivu.elect.presentation.gebietsbaum;

import org.primefaces.model.TreeNode;
import org.primefaces.model.TreeNodeChildren;

public class GebietSortierenTreeNodeChildren extends TreeNodeChildren {

  private static final long serialVersionUID = 1L;

  public GebietSortierenTreeNodeChildren(TreeNode parent) {
    super(parent);
  }

  @Override
  public void add(int index, TreeNode node) {
    if (node == null) {
      return; // NPE in PrimeFaces?
    }
    super.add(index, node);
  }
}
